# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KAboutApplication Class Reference

Standard "About Application" dialog box. More...

`#include <kaboutapplication.h>`

Inheritance diagram for KAboutApplication:

[legend]
Collaboration diagram for KAboutApplication:

[legend]
List of all members.

## Public Member Functions

| KAboutApplication (QWidget *parent=0, const char *name=0, bool modal=true)
| KAboutApplication (const KAboutData *aboutData, QWidget *parent=0, const char *name=0, bool modal=true)

## Protected Member Functions

void | buildDialog (const KAboutData *aboutData)

## Detailed Description

Standard "About Application" dialog box.

This class provides the standard "About Application" dialog box that is used by KHelpMenu. It uses the information of the global KAboutData that is specified at the start of your program in main(). Normally you should not use this class directly but rather the KHelpMenu class or even better just subclass your toplevel window from KMainWindow. If you do the latter, the help menu and thereby this dialog box is available through the KMainWindow::helpMenu() function.

Author:
  Waldo Bastian (bastian@kde.org) and Espen Sand (espen@kde.org)

Definition at line 44 of file kaboutapplication.h.

## Constructor & Destructor Documentation

KAboutApplication::KAboutApplication | ( | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `true`
| ) |

Constructor.

Creates a fully featured "About Application" dialog box. Note that this dialog is made modeless in the KHelpMenu class so the users may expect a modeless dialog.

Parameters:

  | parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
  | name | Internal name of the widget. This name is not used in the caption.
  | modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

Definition at line 36 of file kaboutapplication.cpp.

KAboutApplication::KAboutApplication | ( | const KAboutData * | aboutData,
|  | QWidget * | parent = `0`,
|  | const char * | name = `0`,
|  | bool | modal = `true`
| ) |

Constructor.

Mostly does the same stuff as the previous constructor, except that it can take a custom KAboutData object instead of the one specified in your main() function. This is especially useful for applications which are implemented as (dynamically loaded) libraries, e.g. panel applets.

Parameters:

  | aboutData | A pointer to a KAboutData object which data will be used for filling the dialog.
  | parent | The parent of the dialog box. You should use the toplevel window so that the dialog becomes centered.
  | name | Internal name of the widget. This name is not used in the caption.
  | modal | If false, this widget will be modeless and must be made visible using QWidget::show(). Otherwise it will be modal and must be made visible using QWidget::exec().

Definition at line 46 of file kaboutapplication.cpp.

The documentation for this class was generated from the following files:

- kaboutapplication.h
- kaboutapplication.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:20:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003